Glass America Dashboard Logout

From docs
Jump to: navigation, search

Mobile_API »Glass America Dashboard Logout

Base URL

https://apimobile.callproof.com

Endpoint

/api/glass-america/dashboard-logout

Purpose

Logs the user out of the Glass America (Omega) dashboard session by ending the remote authentication session using the session and cookie values from the prior dashboard login.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token
Phpsessid Yes Omega dashboard session ID (from dashboard login)
Cookie1 Yes Omega dashboard cookie value (from dashboard login)

Security

  • Yes – Requires Bearer Token authentication.
  • Also requires a valid Omega dashboard session (session ID and cookie headers).

Parameters

Path Parameters

None.

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/glass-america/dashboard-logout' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'Phpsessid: YOUR_OMEGA_SESSION_ID' \ --header 'Cookie1: YOUR_OMEGA_COOKIE_VALUE' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/glass-america/dashboard-logout' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'Phpsessid: YOUR_OMEGA_SESSION_ID' \ --header 'Cookie1: YOUR_OMEGA_COOKIE_VALUE' 

Successful Response (200)

Indicates that the dashboard logout completed successfully.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
message string Confirmation message (for example, "Logout Successful")
uri string Requested resource URI

Error Responses

Status Code Meaning
400 Bad Request – dashboard logout could not be completed
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while ending the Omega dashboard session.
  • 401 – Authentication failed or the access token is missing/expired.